<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>xAPI Definitions Parser: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">xAPI Definitions Parser
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacex_a_p_i___definitions___parser.html">xAPI_Definitions_Parser</a></li><li class="navelem"><a class="el" href="namespacex_a_p_i___definitions___parser_1_1_code.html">Code</a></li><li class="navelem"><a class="el" href="namespacex_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree.html">SyntaxTree</a></li><li class="navelem"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_getable_property.html">GetableProperty</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle"><div class="title">xAPI_Definitions_Parser.Code.SyntaxTree.GetableProperty Member List</div></div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_getable_property.html">xAPI_Definitions_Parser.Code.SyntaxTree.GetableProperty</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_getable_property.html#a35dd2d66938b4064b5b31d10ad07b9ab">AddModifier</a>(Modifier modifier)</td><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_getable_property.html">xAPI_Definitions_Parser.Code.SyntaxTree.GetableProperty</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_getable_property.html#a0eb6b778ee124a6f891975b15c640159">AddModifiers</a>(params Modifier[] modifiers)</td><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_getable_property.html">xAPI_Definitions_Parser.Code.SyntaxTree.GetableProperty</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_getable_property.html#a91d21f19675fb8c4ac379ce275a20498">AddModifiers</a>(IEnumerable&lt; Modifier &gt; modifiers)</td><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_getable_property.html">xAPI_Definitions_Parser.Code.SyntaxTree.GetableProperty</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_getable_property.html#a34d1e710ada907df2d7fdb468ae97046">GetableProperty</a>()</td><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_getable_property.html">xAPI_Definitions_Parser.Code.SyntaxTree.GetableProperty</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_getable_property.html#aacaaac2d975e2db4f540f5ce64f9d741">GetableProperty</a>(string name, string type, Getter getter=default)</td><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_getable_property.html">xAPI_Definitions_Parser.Code.SyntaxTree.GetableProperty</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_getable_property.html#aba09863953ff7b84effd03e755b129e8">Getter</a></td><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_getable_property.html">xAPI_Definitions_Parser.Code.SyntaxTree.GetableProperty</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_getable_property.html#abf3e026f13f355eb0b7792517d75fef5">Modifiers</a></td><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_getable_property.html">xAPI_Definitions_Parser.Code.SyntaxTree.GetableProperty</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_getable_property.html#a0e2f387f7e9d94043362735d4cf8acd4">Name</a></td><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_getable_property.html">xAPI_Definitions_Parser.Code.SyntaxTree.GetableProperty</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_getable_property.html#a445ab616546213fc9f43688e6d3f2be1">Type</a></td><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_getable_property.html">xAPI_Definitions_Parser.Code.SyntaxTree.GetableProperty</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_getable_property.html#ab4bd571ddf26a2ec7a4f897978a33514">WithGetter</a>(Getter getter)</td><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_getable_property.html">xAPI_Definitions_Parser.Code.SyntaxTree.GetableProperty</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_getable_property.html#af09c4cd829cd420edae46c748fd2e7eb">WithName</a>(string name)</td><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_getable_property.html">xAPI_Definitions_Parser.Code.SyntaxTree.GetableProperty</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_getable_property.html#aaf4a479aeacb4a0199e67f671873a330">WithType</a>(string type)</td><td class="entry"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_getable_property.html">xAPI_Definitions_Parser.Code.SyntaxTree.GetableProperty</a></td><td class="entry"></td></tr>
</table></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
